Bug 1118249 - command infrastructure should know when the "execute" phase finished
Summary: command infrastructure should know when the "execute" phase finished
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: oVirt
Classification: Retired
Component: ovirt-engine-core
Version: 3.4
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: ---
: 3.5.0
Assignee: Ravi Nori
QA Contact: Pavel Stehlik
URL:
Whiteboard: infra
Depends On:
Blocks: 1105211
TreeView+ depends on / blocked
 
Reported: 2014-07-10 09:44 UTC by Oved Ourfali
Modified: 2016-02-10 19:30 UTC (History)
6 users (show)

Fixed In Version: ovirt-3.5.0_rc1
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-10-12 14:22:01 UTC
oVirt Team: Infra


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
oVirt gerrit 30281 master MERGED engine : command infrastructure should know when the "execute" phase finished Never
oVirt gerrit 30555 master MERGED engine : Remove ACTIVE_ASYNC status Never
oVirt gerrit 30688 master MERGED engine : Simplify persistCommand Never
oVirt gerrit 30694 ovirt-engine-3.5 MERGED engine : command infrastructure should know when the "execute" phase finished Never
oVirt gerrit 30701 ovirt-engine-3.5 MERGED engine : Simplify persistCommand Never
oVirt gerrit 30702 ovirt-engine-3.5 MERGED engine : Remove ACTIVE_ASYNC status Never
Red Hat Bugzilla 1105211 None None None Never

Description Oved Ourfali 2014-07-10 09:44:43 UTC
When the engine is started after crashing/stopped while a command with async tasks is running, we should know after the restart whether the "Execution" phase of the command has ended or not, so that we'll know whether the command can be recovered or not.

This data should be persistent, either at some "status" field, or via another new one.

This will properly solve also Bug 1105211.

Comment 1 Petr Beňas 2014-09-10 17:39:54 UTC
How to test this?

Comment 2 Ravi Nori 2014-09-10 18:38:15 UTC
This is internal code change

Comment 3 Gil Klein 2014-10-12 14:22:01 UTC
This bug was fixed and is slated to be in the upcoming version. As we
are focusing our testing at this phase on severe bugs, this bug was
closed without going through its verification step. If you think this
bug should be verified by QE, please set its severity to high and move
it back to ON_QA


Note You need to log in before you can comment on or make changes to this bug.